> ## Documentation Index
> Fetch the complete documentation index at: https://docs.legitmark.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Type Brands

> Get all brands available for a specific type with optional counts and inactive items.



## OpenAPI

````yaml /openapi.json get /api/v2/types/{type_uuid}/brands
openapi: 3.1.0
info:
  title: Legitmark Partner API
  description: Comprehensive partner integration API for Legitmark authentication platform
  version: 2.0.0
  contact:
    name: Legitmark Support
    email: support@legitmark.com
    url: https://legitmark.com
servers:
  - url: https://api.legitmark.com
    description: Production API
security:
  - BearerAuth: []
tags:
  - name: Service Requests
    description: Create, retrieve, and manage authentication service requests.
  - name: Media Management
    description: Upload images for service request authentication.
  - name: Taxonomy
    description: Browse categories, types, brands, models, and services to build requests.
paths:
  /api/v2/types/{type_uuid}/brands:
    get:
      tags:
        - Taxonomy
      summary: Get Type Brands
      description: >-
        Get all brands available for a specific type with optional counts and
        inactive items.
      parameters:
        - name: type_uuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Type UUID
          example: 95e42d6b-7c4f-11ef-a623-02595575faeb
        - name: include_counts
          in: query
          required: false
          schema:
            type: boolean
            default: false
          description: Include side group counts for each brand
        - name: include_inactive
          in: query
          required: false
          schema:
            type: boolean
            default: false
          description: Include inactive brands in the response
      responses:
        '200':
          description: Brands retrieved successfully
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SuccessResponse'
                  - type: object
                    properties:
                      message:
                        example: Brands fetched successfully
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            uuid:
                              type: string
                              format: uuid
                            name:
                              type: string
                            media:
                              type: string
                              nullable: true
                            active:
                              type: boolean
                            ordinal:
                              type: integer
                            relation_active:
                              type: boolean
                              description: Active status from types_brands relationship
                            brand_active:
                              type: boolean
                              description: Active status from brands table
                            side_group_count:
                              type: integer
                              description: >-
                                Number of side groups (included when
                                include_counts=true)
                      total:
                        type: integer
                        description: Total number of brands returned
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Brands fetched successfully
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                          format: uuid
                        name:
                          type: string
                        media:
                          type: string
                          nullable: true
                        active:
                          type: boolean
                        ordinal:
                          type: integer
                          nullable: true
                        relation_active:
                          type: boolean
                        brand_active:
                          type: boolean
                  total:
                    type: integer
                    description: Total number of brands
              example:
                success: true
                message: Brands fetched successfully
                data:
                  - uuid: 9dd17453-353a-4dc1-9bdc-c08cca38942a
                    name: Alexander McQueen
                    media: https://cdn.legitmark.com/brands/alexander_mcqueen.png
                    active: true
                    ordinal: null
                    relation_active: true
                    brand_active: true
                  - uuid: 6fce28f2-b59d-11ef-b98d-06fb0f2a63e5
                    name: Brunello Cucinelli
                    media: https://cdn.legitmark.com/brands/brunello_cucinelli.png
                    active: true
                    ordinal: null
                    relation_active: true
                    brand_active: true
                total: 45
        '404':
          description: Type not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    SuccessResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        message:
          type: string
        data:
          type: object
        metadata:
          type: object
          properties:
            total_count:
              type: integer
            page_number:
              type: integer
            total_pages:
              type: integer
            page_size:
              type: integer
    ErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        error:
          type: object
          properties:
            code:
              type: integer
            timestamp:
              type: string
              format: date-time
            message:
              type: string
            details:
              type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer token authentication. Use your API key in the format: Bearer
        leo_xxxxxxxx
      x-default: leo_your_api_key_here

````